package _VisualDVM;
import Common.Current_;
public enum Current implements Current_ {
    //--
    DVMPackage,
    SapforPackage,
    //--
    ServerSapfor,
    SapforEtalonVersion,
    SapforVersion,
    //--
    ComponentServerBackup,
    Subscriber,
    FileGraphElement,
    InlineGraphElement,
    InlineGraphElement2,
    IncludeGraphElement,
    Component,
    Project,
    File,
    Root,
    Version,
    BugReport,
    Account,
    DBArray,
    ProjectArray,
    ParallelRegionInfo,
    ParallelVariant,
    Machine,
    User,
    Compiler,
    Makefile,
    Module,
    RunConfiguration,
    EnvironmentValue,
    CompilationTask,
    RunTask,
    ProjectNode, //узел в дереве проекта. нужен для отображения добавленных файлов
    SelectedDirectory,
    SelectedFile,
    //текущий выбранный удаленный файл
    RemoteFile,
    RunStsRecord,
    //только для того, чтобы закодировать таблицу.
    Array,
    ParallelRegion,
    Dimensions,
    //----------
    Warnings,
    Errors,
    Notes,
    Recommendations,
    //-
    Sapfor,
    //-
    Scenario,
    ScenarioCommand,
    //-
    DVMConfiguration,
    Group,
    //-
    DVMParameterValue,
    Test,
    Function,
    SelectedFunction,
    //-
    Credentials,
    //-
    PackageVersion,
    SapforConfiguration,
    SapforProfile,
    SapforProfileSetting,
    //--
    ProjectView,
    SubscriberWorkspace,
    DVMRunTask,
    SapforSettings,
    SapforSettingsCommand,
    DVMSettings;
    @Override
    public String getDescription() {
        switch (this) {
            case DVMSettings:
                return "Параметры тестирования DVM системы";
            case SapforSettings:
                return "Параметры тестирования системы SAPFOR";
            case SapforSettingsCommand:
                return "Команда SAPFOR";
            case DVMRunTask:
                return "Задача DVM тестирования";
            case SapforPackage:
                return "Пакет тестирования SAPFOR";
            case DVMPackage:
                return "Пакет тестирования DVM";
            case DVMConfiguration:
                return "Конфигурация тестирования";
            case ServerSapfor:
                return "тестовая версия SAPFOR";
            case SubscriberWorkspace:
                return "рабочее пространство пользователя";
            case SapforProfile:
                return "Профиль SAPFOR";
            case SapforProfileSetting:
                return "Настройка профиля SAPFOR";
            case SapforEtalonVersion:
                return "Версия SAPFOR(Эталон)";
            case SapforVersion:
                return "Версия SAPFOR";
            case ComponentServerBackup:
                return "Версия компонента для восстановления с сервера";
            case Subscriber:
                return "Адресат";
            case SelectedFunction:
                return "Выбранный узел графа процедур";
            case SapforConfiguration:
                return "Конфигурация тестирования SAPFOR";
            case PackageVersion:
                return "Версия пакетного режима";
            case Credentials:
                return "Учётные данные";
            case Function:
                return "Функция";
            case DVMParameterValue:
                return "Параметр DVM системы";
            case ParallelRegion:
                return "Область распараллеливания";
            case Group:
                return "Группа тестов DVM";
            case Scenario:
                return "Сценарий";
            case ScenarioCommand:
                return "Команда сценария";
            case ProjectNode:
                return "текущий узел дерева проектов"; //служебка
            case Test:
                return "Тест";
            case Sapfor:
                return "SAPFOR";
            case EnvironmentValue:
                return "Значение переменной окружения";
            case SelectedDirectory:
                return "Папка проекта";
            case SelectedFile:
                return "Файл проекта";
            case RunConfiguration:
                return "Конфигурация запуска";
            case RunTask:
                return "Задача на запуск";
            case CompilationTask:
                return "Задача на компиляцию";
            case Makefile:
                return "Мейкфайл";
            case Module:
                return "Языковой модуль мейкфайла";
            case RemoteFile:
                return "Удалённый файл";
            case Component:
                return "Компонент";
            case Project:
                return "Проект";
            case File:
                return "Файл";
            case Root:
                return "Корень дерева версий";
            case Version:
                return "Версия";
            case BugReport:
                return "Отчёт об ошибке";
            case Account:
                return "Аккаунт";
            case Machine:
                return "Машина";
            case User:
                return "Пользователь";
            case Compiler:
                return "Компилятор";
            default:
                return "";
        }
    }
}
